## org.apache.lucene.index.pruning
Class CarmelUniformTermPruningPolicy.ByDocComparator

    java.lang.Object
      org.apache.lucene.index.pruning.CarmelUniformTermPruningPolicy.ByDocComparator

All Implemented Interfaces:
  Comparator<org.apache.lucene.search.ScoreDoc>

Enclosing class:
  CarmelUniformTermPruningPolicy

    public static class CarmelUniformTermPruningPolicy.ByDocComparator

extends Object
implements Comparator<org.apache.lucene.search.ScoreDoc>

Field Summary
`static CarmelUniformTermPruningPolicy.ByDocComparator` `INSTANCE`

Constructor Summary
`CarmelUniformTermPruningPolicy.ByDocComparator()`

Method Summary
`int` `compare(org.apache.lucene.search.ScoreDoc o1, org.apache.lucene.search.ScoreDoc o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final CarmelUniformTermPruningPolicy.ByDocComparator INSTANCE

Constructor Detail

### CarmelUniformTermPruningPolicy.ByDocComparator

    public CarmelUniformTermPruningPolicy.ByDocComparator()

Method Detail

### compare

    public int compare(org.apache.lucene.search.ScoreDoc o1,
                       org.apache.lucene.search.ScoreDoc o2)

  Specified by:
    `compare` in interface `Comparator<org.apache.lucene.search.ScoreDoc>`